
---[[
function QuickLeiBoss()
    KEY()
    MOV(34,18,0)
    MOV(33,18,1)
    SLR(1)
    FON("Camera1",0)
    MNP("Soapking1",75,18,0)
    CNP("Soapking1","CS_boss_soapking",0,0)
    MNP("Soapking1",55,18,0)
    FAI(3)
    --左力场
    for i=13,18,1 do
        SNP("CS_forcefield",19,i,0,"mainLayer","ForcefieldL")
    end
    --右力场
    for i=13,18,1 do
        SNP("CS_forcefield",59,i,0,"mainLayer","ForcefieldR")
    end
    ANP("Soapking1","fight")
    CMU("CS_LastCave")
    BSL("Soapking1")
end
--]]

function Back()
    PRI()
    TUR()MS4("\nCannot escape!")NOD()
end

--击败了Soapking1
function Soapking1()
    KEY()
    CMU("CS_Fanfale3")
    MS4("\nDefeated Lei!")WAI(140)NOD()CLO()
    FAO(2)
    FOM()
    FLP("DefeatedLei")
    TRA("CS_bossrush_mainstage","E0090",28,83)
end

function Died()
    CMU("XXXX")WAI(30)
    FAO(2)
    FOM()
    SMC(0)SMC(1)LIP(1000)MIP(1000)TRA("CS_bossrush_mainstage","E0090",28,83)
end

function DeathByMovingPlatform()
    Died()
end